Details

    • Type: Bug
    • Status: Verified
    • Resolution: Unresolved
    • Affects Version/s: 7.0.0 DXP FP7
    • Fix Version/s: None
    • Component/s: Themes
    • Labels:
    • Fix Priority:
      2

      Description

      I get an error in my gulp deploy output when building my Liferay theme:

      [18:18:44] Starting 'build:compile-ruby-sass'...
      [18:18:53] error build/_css/aui/lexicon/lexicon-base/mixins/_nameplates.scss (Line 14: Invalid CSS after "(max-width: ": expected expression (e.g. 1px, bold), was "$screen-xs-max)")

      The same issue (and possible workaround) is also described in this recent tutorial:
      http://www.javasavvy.com/liferay-dxp-theme-generator-tutorial/

      The author suggests to put some lines in comment in the \node_modules\liferay-frontend-theme-unstyled\css\aui\lexicon\lexicon-base_nameplates.scss file:

      //.nameplate-label-autofit-xs-max

      { // @include nameplate-label-autofit('max-width: $screen-xs-max'); //}

      However, this forces me to never delete my node_modules, otherwise my fix will be deleted as wel.

      Is it possible that the public node repository contains a faulty version of the 'liferay-frontend-theme-unstyled' module?

      Kind regards,
      Benji

        Attachments

          Activity

            People

            • Assignee:
              support-lep@liferay.com SE Support
              Reporter:
              acabem Benji Mommen
              Participants of an Issue:
              Recent user:
              Sherry Zhu
            • Votes:
              3 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Days since last comment:
                2 years, 50 weeks, 1 day ago

                Packages

                Version Package